Z Time Now
Z is the abbreviation of Zulu Time (Coordinated Universal Time). Time zone offset of Z is UTC. Zulu Time (Coordinated Universal Time) is same as the UTC (GMT) universal time. Z current date is 1st Sunday November 2026. Current time in Z (Z).
Z Time
16:18:57
1 November 2026 Sunday
Z is the abbreviation used for Zulu Time which is exactly the same as Coordinated Universal Time or Greenwich Mean Time. It is most used for military and aviation purposes, and it covers such cities and parts of the world as Reykjavik, a certain part of western Greenland, as well as a few African cities like Rabat, Conakry, Dakar, Monrovia, Accra, Yamoussoukro, Freetown, and others.
What time is it in Zulu Time (Coordinated Universal Time) now? It is 16:18:57 right now.
Zulu Time (Coordinated Universal Time) Date and Time Now in Various Formats
| Date Time Format | Z Date Time Now |
|---|---|
| UTC | 2026-11-01T16:18:57Z |
| ISO-8601 | 2026-11-01T16:18:57+0000 |
| RFC 2822 | Sun, 01 Nov 2026 16:18:57 +0000 |
| RFC 850 | Sunday, 01-Nov-26 16:18:57 UTC |
| RFC 1036 | Sun, 01 Nov 26 16:18:57 +0000 |
| RFC 1123 | Sun, 01 Nov 2026 16:18:57 +0000 |
| RFC 822 | Sun, 01 Nov 26 16:18:57 +0000 |
| RFC 3339 | 2026-11-01T16:18:57+00:00 |
| ATOM | 2026-11-01T16:18:57+00:00 |
| COOKIE | Sunday, 01-Nov-2026 16:18:57 UTC |
| RSS | Sun, 01 Nov 2026 16:18:57 +0000 |
| W3C | 2026-11-01T16:18:57+00:00 |
| Unix Epoch | 1793549937 |
| YYYY-DD-MM HH:MM:SS | 2026-01-11 16:18:57 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-01-11 04:18:57 PM |
| DD-MM-YYYY HH:MM:SS | 01-11-2026 16:18:57 |
| MM-DD-YYYY HH:MM:SS | 11-01-2026 16:18:57 |